Classes | Namespaces | Macros | Enumerations
STOFFSpreadsheetListener.cxx File Reference

Implements STOFFSpreadsheetListener: the libstaroffice spreadsheet processor listener. More...

`#include <time.h>`
`#include <cmath>`
`#include <cstring>`
`#include <iomanip>`
`#include <set>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "libstaroffice_internal.hxx"`
`#include "STOFFCell.hxx"`
`#include "STOFFChart.hxx"`
`#include "STOFFFont.hxx"`
`#include "STOFFFrameStyle.hxx"`
`#include "STOFFGraphicStyle.hxx"`
`#include "STOFFGraphicShape.hxx"`
`#include "STOFFInputStream.hxx"`
`#include "STOFFList.hxx"`
`#include "STOFFPageSpan.hxx"`
`#include "STOFFParagraph.hxx"`
`#include "STOFFParser.hxx"`
`#include "STOFFPosition.hxx"`
`#include "STOFFSection.hxx"`
`#include "STOFFSubDocument.hxx"`
`#include "STOFFTable.hxx"`
`#include "STOFFSpreadsheetListener.hxx"`

## Classes
struct | STOFFSpreadsheetListenerInternal::DocumentState
| a class to store the document state of a STOFFSpreadsheetListener More...
struct | STOFFSpreadsheetListenerInternal::State
| the state of a STOFFSpreadsheetListener More...

## Namespaces
namespace | STOFFSpreadsheetListenerInternal
| Internal and low level namespace to define the states of STOFFSpreadsheetListener.

## Macros
#define | TEST_SEND_HEADERFOOTER_REGION 0

## Enumerations
enum | { STOFFSpreadsheetListenerInternal::PageBreakBit =0x1 , STOFFSpreadsheetListenerInternal::ColumnBreakBit =0x2 }
| a enum to define basic break bit More...

## Detailed Description

Implements STOFFSpreadsheetListener: the libstaroffice spreadsheet processor listener.

Note
  this class is the only class which does the interface with the librevenge::RVNGSpreadsheetInterface

## Macro Definition Documentation

## ◆ TEST_SEND_HEADERFOOTER_REGION

#define TEST_SEND_HEADERFOOTER_REGION 0